<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_rowm_symm_cache&lt; M, cache_element_type &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__rowm__symm__cache.html">op_rowm_symm_cache</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__rowm__symm__cache-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_rowm_symm_cache&lt; M, cache_element_type &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a3fa468b257f28e4a8bf19b80649fc702"><td class="memItemLeft" align="right" valign="top"><a id="a3fa468b257f28e4a8bf19b80649fc702"></a>
typedef cache_element_type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a3fa468b257f28e4a8bf19b80649fc702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea42de5d1308dfbc1f9111d01c114292"><td class="memItemLeft" align="right" valign="top"><a id="aea42de5d1308dfbc1f9111d01c114292"></a>
typedef const type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:aea42de5d1308dfbc1f9111d01c114292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dbf7360d0527456253aa7a67616ed6c"><td class="memItemLeft" align="right" valign="top"><a id="a8dbf7360d0527456253aa7a67616ed6c"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a8dbf7360d0527456253aa7a67616ed6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02a492c340264a56d4b4eac183105585"><td class="memItemLeft" align="right" valign="top"><a id="a02a492c340264a56d4b4eac183105585"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a02a492c340264a56d4b4eac183105585"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a01d99c9bb7e87dac353fee773db971b1"><td class="memItemLeft" align="right" valign="top"><a id="a01d99c9bb7e87dac353fee773db971b1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_rowm_symm_cache</b> (const M &amp;m_, const type *data_, long *ref_count_)</td></tr>
<tr class="separator:a01d99c9bb7e87dac353fee773db971b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f2f7a2b4622f1b227820b893490264c"><td class="memItemLeft" align="right" valign="top"><a id="a3f2f7a2b4622f1b227820b893490264c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_rowm_symm_cache</b> (const <a class="el" href="structdlib_1_1op__rowm__symm__cache.html">op_rowm_symm_cache</a> &amp;item)</td></tr>
<tr class="separator:a3f2f7a2b4622f1b227820b893490264c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e37e96ba5b3be2d2d61fef565db9ef"><td class="memItemLeft" align="right" valign="top"><a id="a82e37e96ba5b3be2d2d61fef565db9ef"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long, long c) const</td></tr>
<tr class="separator:a82e37e96ba5b3be2d2d61fef565db9ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac994bdd1f4751c330c8a5230f5aa50df"><td class="memItemLeft" align="right" valign="top"><a id="ac994bdd1f4751c330c8a5230f5aa50df"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:ac994bdd1f4751c330c8a5230f5aa50df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31667268be19b36998c66458b4140dc3"><td class="memItemLeft" align="right" valign="top"><a id="a31667268be19b36998c66458b4140dc3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a31667268be19b36998c66458b4140dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb5089bee568ff42baf9cedeb8fdc94f"><td class="memTemplParams" colspan="2"><a id="adb5089bee568ff42baf9cedeb8fdc94f"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:adb5089bee568ff42baf9cedeb8fdc94f"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:adb5089bee568ff42baf9cedeb8fdc94f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a712e4bca487fd6059790d4a4b0adc0dc"><td class="memTemplParams" colspan="2"><a id="a712e4bca487fd6059790d4a4b0adc0dc"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a712e4bca487fd6059790d4a4b0adc0dc"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a712e4bca487fd6059790d4a4b0adc0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa5cbb8bfd3f5ef43077b30039ed01c67"><td class="memItemLeft" align="right" valign="top"><a id="aa5cbb8bfd3f5ef43077b30039ed01c67"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:aa5cbb8bfd3f5ef43077b30039ed01c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af518055924d50ffb0cd63da979130743"><td class="memItemLeft" align="right" valign="top"><a id="af518055924d50ffb0cd63da979130743"></a>
const type *const&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:af518055924d50ffb0cd63da979130743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1ee724265c32baf5d579b03d639c52"><td class="memItemLeft" align="right" valign="top"><a id="a7d1ee724265c32baf5d579b03d639c52"></a>
long *const&#160;</td><td class="memItemRight" valign="bottom"><b>ref_count</b></td></tr>
<tr class="separator:a7d1ee724265c32baf5d579b03d639c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a654bfd7471fc2fe1171792722447c610"><td class="memItemLeft" align="right" valign="top"><a id="a654bfd7471fc2fe1171792722447c610"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost</td></tr>
<tr class="separator:a654bfd7471fc2fe1171792722447c610"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75d0f4ba0750e60faf04f4139ab7b20c"><td class="memItemLeft" align="right" valign="top"><a id="a75d0f4ba0750e60faf04f4139ab7b20c"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 1</td></tr>
<tr class="separator:a75d0f4ba0750e60faf04f4139ab7b20c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8641d3b3fe49efcd297288863f6cea0d"><td class="memItemLeft" align="right" valign="top"><a id="a8641d3b3fe49efcd297288863f6cea0d"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M::NC</td></tr>
<tr class="separator:a8641d3b3fe49efcd297288863f6cea0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="symmetric__matrix__cache_8h_source.html">symmetric_matrix_cache.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
